Subject: RE: [SIP] Conferencing

From: Canal Gianni <[email-masked]>
Date: Tue, 17 Oct 2000 18:55:10 +0200

Hi, 
considering "conference control" like the feature to allow conference
participants 
(with apropriate rights) to change the status of the conference session e.g.
inviting/dropping participants,
I doubt that in the mentioned model there is a real "conference control", am
I wrong?

A conference control should allow scenarios like (e.g.) the following:

1) user A decides to set up a conference session (this could be done as
suggested).
User A is the chair.
2) user A wants to invite user B and user C to the same session
3) user A wants to drop user B to the session
4) user C wants to invite user D to the session (A could be requested to
grant C to do this)
5) user C wants to drop D to the session (A could be requested to grant C to
do this)
6) user C wants to quit the session (A could be requested to grant C to do
this)
7) user A wants to exit the session (A could be requested to pass the
chairmanship to another participant)
8) user A wants to quit the session (all the other participant are dropped)
9) ...

Has this already been covered by some drafts?
If so .. sorry to bother you ...
If not, could it be interesting to investigate how to use SIP in these
scenarios?
(we worked about conferencing modeling in other contexts thus we have a lot
of scenarios to investigate.)

Best Regards from flooded Italy

Gianni

> ----------
> From: 	Jonathan Rosenberg[SMTP:[email-masked]]
> Sent: 	mercoledì 11 ottobre 2000 20.24
> To: 	[email-masked]'; [email-masked]'
> Subject: 	RE: [SIP] Conferencing
> 
> In the dial-up conference model, the request URI is really the only usable
> identifier that can describe the conference.
> 
> Think of it as exactly the way conferences work in the PSTN; you dial a
> number plus a passcode (whcih is just an extension of the number, needed
> because of the limited number of phone numbers available), and that number
> represents the conference. Same here. A conferencing server should mix
> together everyone who calls the same request URI; that would be the nature
> of the resource defined by the collection of URIs on the conference
> server.
> As an example, a conference server might define:
> 
> [email-masked]
> 
> where * is anything, to represent ad-hoc conferences which don't even need
> to be pre-established. 
> 
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip